Events
Events represent meetings, calls, and other calendar-based interactions in your CRM. They can be linked to relationships and contacts to track customer interactions.
Use the Activity_Event endpoint to manage events. Events inherit all fields from Activity.
Endpoints
List Events
GET
/v1/odata/Activity_EventSingle Event
GET
/v1/odata/Activity_Event({id})Create Event
POST
/v1/odata/Activity_EventUpdate Event
PUT
/v1/odata/Activity_Event({id})Delete Event
DELETE
/v1/odata/Activity_Event({id})Fields
Inherited Fields (from Activity)
See Activity Fields for all inherited fields.
Relationships
| Relationship | Target Entity | Cardinality | Description |
|---|---|---|---|
| Relationship | Relationship | N:1 | Linked relation |
| Contact | Relation.Person.Contact | N:1 | Contact person |
| Phase | Datastore.Phase.ActivityEvent | N:1 | Event phase |
| EventParticipation | EventParticipation | N:1 | Participation details |
| LinkedActivities | Activity | 1:N | Linked activities |
Expanding Relationships
GET
/v1/odata/Activity_Event({id})?$expand=RelationshipNavigating Relationships
GET
/v1/odata/Activity_Event({id})/RelationshipFiltering Examples
GET
/v1/odata/Activity_Event?$filter=contains(Subject, '{Subject}')&$top={top}GET
/v1/odata/Activity_Event?$filter=IsClosed eq {IsClosed}&$top={top}GET
/v1/odata/Activity_Event?$filter=CreationDate gt {CreationDate}&$top={top}